## org.biojava.bio.seq
Class GeneticCodes

    java.lang.Object
      org.biojava.bio.seq.GeneticCodes

    public class GeneticCodes

extends Object

Collects the references to translation methods in one place. Right now this is just a wrapper on RNATools

Author:
  Greg Cox

Method Summary
`static SymbolList` `transcribe(SymbolList theList)` Transcribe DNA into RNA.
`static SymbolList` `translate(SymbolList theList)` Translate RNA into protein (with termination symbols).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### transcribe

    public static SymbolList transcribe(SymbolList theList)
                                 throws IllegalAlphabetException

  Transcribe DNA into RNA.

  Parameters:
    `theList` - the SymbolList of DNA symbols to transcribe
  Returns:
    a SymbolList that is the transcribed view
  Throws:
    `IllegalAlphabetException` - if the list is not DNA

### translate

    public static SymbolList translate(SymbolList theList)
                                throws IllegalAlphabetException

  Translate RNA into protein (with termination symbols).

  Parameters:
    `theList` - the SymbolList of RNA symbols to translate
  Returns:
    a SymbolList that is the translated view
  Throws:
    `IllegalAlphabetException` - if the list is not RNA
  Since:
    1.1